Bug 195964 - [NEW PORT] devel/rlvm: RealLive virtual machine clone
Summary: [NEW PORT] devel/rlvm: RealLive virtual machine clone
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords:
Depends on: 193434
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-14 13:39 UTC by Jan Beich
Modified: 2015-01-30 13:23 UTC (History)
0 users

See Also:


Attachments
shar, v0 (11.55 KB, text/plain)
2014-12-14 13:39 UTC, Jan Beich
no flags Details
|poudriere testport -P| log (9.3R i386) (174.97 KB, text/plain)
2014-12-14 13:44 UTC, Jan Beich
no flags Details
|poudriere testport -P| log (10.0R amd64) (162.66 KB, text/plain)
2014-12-14 14:05 UTC, Jan Beich
no flags Details
shar, v1 (13.19 KB, text/plain)
2014-12-14 15:38 UTC, Jan Beich
no flags Details
|poudriere testport -P| log (10.1R i386) DEBUG=on NLS=off TEST=on (202.33 KB, text/plain)
2014-12-14 15:39 UTC, Jan Beich
no flags Details
|poudriere testport -P| log (10.0R amd64) (156.71 KB, text/plain)
2014-12-14 15:41 UTC, Jan Beich
no flags Details
|poudriere testport -P| log (9.3R i386) (176.36 KB, text/plain)
2014-12-14 15:56 UTC, Jan Beich
no flags Details
|poudriere testport -P| log (8.4R amd64) (182.95 KB, text/plain)
2014-12-14 17:38 UTC, Jan Beich
no flags Details
|poudriere testport -P| log (8.4 amd64) DEBUG=on NLS=off TEST=on (234.68 KB, text/plain)
2014-12-14 17:58 UTC, Jan Beich
no flags Details
shar, v1.1 (13.20 KB, text/plain)
2014-12-24 17:01 UTC, Jan Beich
no flags Details
|poudriere testport -P| log (9.3R i386) DEBUG=on NLS=off TEST=on (225.34 KB, text/plain)
2014-12-24 17:03 UTC, Jan Beich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2014-12-14 13:39:43 UTC
Created attachment 150560 [details]
shar, v0

$ cat pkg-descr
rlvm is a Free Software reimplementation of VisualArt's KK's RealLive
interpreter, used in the games Kanon, Air, CLANNAD, Planetarian,
Tomoyo After and Little Busters, among many others.

WWW: http://www.elliotglaysher.org/rlvm/

Alas, all of those games are commercial.
Comment 1 Jan Beich freebsd_committer 2014-12-14 13:43:47 UTC
Without bug 193434 the build with lang/gcc* (default for 8.x and 9.x) fails with:

  /usr/lib/libstdc++.so.6: version GLIBCXX_3.4.11 required by
  /work/eglaysher-rlvm-b88bfe0/build/release/wxInclude not found
Comment 2 Jan Beich freebsd_committer 2014-12-14 13:44:35 UTC
Created attachment 150561 [details]
|poudriere testport -P| log (9.3R i386)
Comment 3 Jan Beich freebsd_committer 2014-12-14 13:49:06 UTC
$ portlint -A
WARN: devel/rlvm/pkg-plist: [10]: installing gettext translation files, please define USES[+]=gettext as appropriate
0 fatal errors and 1 warning found.

A false positive. portlint(1) doesn't know about options?
Comment 4 Jan Beich freebsd_committer 2014-12-14 14:05:46 UTC
Created attachment 150564 [details]
|poudriere testport -P| log (10.0R amd64)
Comment 5 Jan Beich freebsd_committer 2014-12-14 15:38:39 UTC
Created attachment 150569 [details]
shar, v1

- unbreak when NLS is disabled
- better fix font paths (dejavu, kochi, mona, sazanami)
- replace bundled utf8cpp with system copy
- add missing luabind dependency for TEST option
- don't extract bundled copies of port libs
- remove one more useless step when TEST is disabled i.e., the following lines

  Copy("build/test/ExpressionTest_SEEN/basicOperators.TXT", "test/ExpressionTest_SEEN/basicOperators.TXT")
  Copy("build/test/ExpressionTest_SEEN/comparisonOperators.TXT", "test/ExpressionTest_SEEN/comparisonOperators.TXT")
  ...
Comment 6 Jan Beich freebsd_committer 2014-12-14 15:39:32 UTC
Created attachment 150570 [details]
|poudriere testport -P| log (10.1R i386) DEBUG=on NLS=off TEST=on
Comment 7 Jan Beich freebsd_committer 2014-12-14 15:41:22 UTC
Created attachment 150571 [details]
|poudriere testport -P| log (10.0R amd64)
Comment 8 Jan Beich freebsd_committer 2014-12-14 15:56:32 UTC
Created attachment 150572 [details]
|poudriere testport -P| log (9.3R i386)
Comment 9 Jan Beich freebsd_committer 2014-12-14 17:38:40 UTC
Created attachment 150576 [details]
|poudriere testport -P| log (8.4R amd64)
Comment 10 Jan Beich freebsd_committer 2014-12-14 17:58:34 UTC
Created attachment 150578 [details]
|poudriere testport -P| log (8.4 amd64) DEBUG=on NLS=off TEST=on
Comment 11 Jan Beich freebsd_committer 2014-12-24 17:01:28 UTC
Created attachment 150941 [details]
shar, v1.1

- TEST doesn't install anything to require RUN_DEPENDS
- TEST requires new enough devel/googletest
Comment 12 Jan Beich freebsd_committer 2014-12-24 17:03:24 UTC
Created attachment 150942 [details]
|poudriere testport -P| log (9.3R i386) DEBUG=on NLS=off TEST=on
Comment 13 Jan Beich freebsd_committer 2015-01-28 15:26:11 UTC
https://reviews.freebsd.org/D1696
Comment 14 commit-hook freebsd_committer 2015-01-30 13:20:33 UTC
A commit references this bug:

Author: jbeich
Date: Fri Jan 30 13:19:41 UTC 2015
New revision: 378150
URL: https://svnweb.freebsd.org/changeset/ports/378150

Log:
  Add new port devel/rlvm

  PR:		195964
  Differential Revision:	https://reviews.freebsd.org/D1696
  Reviewed by:	bapt
  Approved by:	bapt (mentor)

  rlvm is a Free Software reimplementation of VisualArt's KK's RealLive
  interpreter, used in the games Kanon, Air, CLANNAD, Planetarian,
  Tomoyo After and Little Busters, among many others.

  WWW: http://www.elliotglaysher.org/rlvm/

Changes:
  head/devel/Makefile
  head/devel/rlvm/
  head/devel/rlvm/Makefile
  head/devel/rlvm/distinfo
  head/devel/rlvm/files/
  head/devel/rlvm/files/extra-patch-disable-nls
  head/devel/rlvm/files/extra-patch-disable-test
  head/devel/rlvm/files/patch-SConscript.luarlvm
  head/devel/rlvm/files/patch-SConstruct
  head/devel/rlvm/files/patch-src_systems_sdl_sdl__graphics__system.cc
  head/devel/rlvm/files/patch-system-test-deps
  head/devel/rlvm/files/patch-test_medium__object__promotion.cc
  head/devel/rlvm/files/patch-vendor_xclannad_wavfile.cc
  head/devel/rlvm/pkg-descr
  head/devel/rlvm/pkg-plist